.font-base {
    font-family: "Montserrat";
    font-optical-sizing: auto;
    font-size: 12px;
    font-weight: 400;
    line-height: 1.5;
    letter-spacing: 0px;
    overflow-wrap: break-word;
    word-break: break-word;
}

.font-title {
    color: var(--tpl-title-color);
    font-size: 26px;
    font-weight: 600;
}

.font-subtitle {
    color: var(--tpl-title-color);
    font-size: 20px;
}

.font-paragraph {
    color: var(--tpl-body-color);
    font-family: "Montserrat";
    font-size: 10px;
    font-weight: 400;
}

.store-card__container {
    background: var(--secondary_color);
    width: 100%;
    position: relative;
    height: 200px;
    margin-bottom: 270px;
}

.grecaptcha-badge {
    display: none !important;
}

.schedule__schedule-day-label--content {
    display: flex;
    flex-direction: column;
}

.store-card {
    background: #FFFFFF;
    box-shadow: 0px 13px 19px rgb(0 0 0 / 7%);
    border: 1px solid var(--primary_color);
    border-radius: 32px;
    height: 344px;
    position: absolute;
    top: 80%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    width: 1100px;
    display: flex;
    align-items: center;
    column-gap: 20px;
    margin-top: 280px;
    height: auto;
    padding: 40px;
}

.store-info__container {
    width: 60%;
}

.store-info {
    padding: 10px 30px;
    display: flex;
    flex-direction: column;
    row-gap: 10px;
}

.store-title {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 700;
    font-size: 60px;
    font-feature-settings: 'salt' on, 'liga' off;
    color: #000000;
    word-break: break-word;
    height: auto;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

.store-address {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    font-size: 24px;
    line-height: 150%;
    color: rgba(0, 0, 0, 0.54);
}

.device-images {
    width: 480px;
    object-fit: scale-down;
    margin-right: 30px;
}

.store-info .widget-booking__button-content {
    width: 303px !important;
    height: 74px !important;
    margin: unset !important;
}

.store-info>.widget__labels-first-text {
    font-family: 'Montserrat' !important;
    font-weight: 400 !important;
    font-size: 16px !important;
    line-height: 24px !important;
}

.contact-us__container {

    height: 528px;
    position: relative;
    width: 100%;
}

.store-hours__container {
    height: 400px;
    width: 100%;
}

.store-services__container {
    width: 100%;
    margin-top: 40px;
}

.store-reviews__container {
    height: 400px;
    width: 100%;
}


/* BEGIN Services section */
.services-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 20px;
}

.store-services-title {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 700;
    font-size: 47.3895px;
    line-height: 57px;
    letter-spacing: 0.182267px;
    color: #000000;
    text-align: center;
    width: 90%;
    word-break: break-word;
}

.store-services-subtitle {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 27px;
    text-align: center;
    letter-spacing: 0.182267px;
    color: #000000;
    text-align: center;
    width: 45%;
}

/* ENDS Services section */

/* BEGIN Store details section */
.store-details__container {
    margin-top: 100px;
    margin-bottom: 25px;
}

.store-details-card {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
    padding: 5%;
    gap: 30px;
    max-width: 1302px;
    margin: 0 auto;
}

.store-location-information {
    display: flex;
    flex-direction: column;
    max-width: 790px;
    width: 100%;
}

.store-location {
    border-radius: 24px;
    width: 100%;
}

.store-information-schedule {
    display: flex;
    width: 100%;
}

.store-details-information {
    min-height: 430px;
    margin-top: 30px;
    display: flex;
    flex-direction: row;
    gap: 64px;
}

.store-information {
    max-width: 527px;
    width: 100%;
}

.store-phone-address {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    gap: 24px;
}

.store-information-title,
.social-media-title,
.store-business {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 700;
    font-size: 24px;
    line-height: 140%;
    color: var(--primary_color);
}

.store-phone-details,
.store-address-details {
    display: flex;
    align-items: baseline;
    justify-content: flex-start;
    column-gap: 15px;
    padding: 15px 0;
}

.store-address-details {
    max-width: 250px;
}

.store-info-phone {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 150%;
    text-decoration-line: underline;
    color: #000000;
}

.store-detail-address-section {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
    width: 100%;
}

.store-information svg {
    height: 17px;
    width: 17px;
}

.directions-label {
    display: flex;
    align-items: center;
    column-gap: 10px;
}

.store-detail-address {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 150%;
    color: #000000;
    padding-right: 20px;
    height: auto;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 6;
    -webkit-box-orient: vertical;
}

.store-directions {
    color: var(--secondary_color);
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 150%;
    text-decoration-line: underline;
}

.social-media-icon {
    width: 48px;
}

.social-media-icons {
    padding-top: 10px;
    display: flex;
    width: 100%;
    gap: 10px;
}

.store-hours {
    min-height: 430px;
}

.location-horizontal {
    display: none;
}

.location-vertical {
    width: 790px;
    height: 394px;
    border-radius: 24px;
    object-fit: cover;
}

.location-vertical.ultra {
    height: 620px;
}

/* ENDS Store details section */

/* BEGIN Store hours section */
.microsite__store_hours {
    margin-top: 12px;
    margin-left: 42px;
}

.store-business-availability {
    display: flex;
    width: 100%;
    justify-content: baseline;
    gap: 16px;
    align-items: center;
    margin-top: 16px;
}

.store-business-availability svg path {
    fill: var(--secondary_color);
}

.store-business-availability-label {
    font-family: Montserrat;
    font-size: 20px;
    font-weight: 700;
    line-height: 28px;
    text-align: left;
    color: var(--secondary_color);
}

.schedule__schedule-day-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 32px;
    color: #000000;
    margin: 5px 0;
    align-items: baseline;
}

.active-day {
    color: var(--primary_color);
}

.active-day .labelws__component {
    color: var(--primary_color);
}

.store_hours_open_until_container {
    margin-top: 20px;
    display: flex;
    align-items: center;
    column-gap: 10px;
}

.store_hours_open_until {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 700;
    font-size: 20px;
    line-height: 140%;
    color: var(--secondary_color);
}

.schedule__schedule-day-week {
    width: 45%;
}

.schedule__schedule-day-label {
    width: 55%;
}

/* ENDS Store hours section */


.font-size__first-text {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 300;
    font-size: 16px;
    line-height: 20px;
    display: flex;
    align-items: flex-end;
    font-feature-settings: 'liga' off;
    color: white;
    cursor: pointer;
}

.font-size__second-text {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 700;
    font-size: 20px;
    line-height: 15px;
    display: flex;
    align-items: flex-end;
    font-feature-settings: 'liga' off;
    color: white;
    cursor: pointer;
}

/*Reviews section*/
.store-reviews__container {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    min-height: 500px;
    row-gap: 60px;
    padding: 65px 0;
    box-sizing: border-box;
}

.store-reviews__container .reviews__t {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 700;
    font-size: 48px;
    text-align: center;
    color: #000000;
    width: 90%;
    margin: 0 auto;
}

.store-reviews__container .wgt-revws__reviews-footer-btn {
    border: 0px solid var(--secondary_color);
    background: var(--primary_color);
}

.store-reviews__container .wgt-review__lbl-btn {
    color: white;
}

.store-reviews__container .wgt-revws__reviews-btn-icon path {
    stroke: white;
}

/* BEGIN Contact form */
.contact-us__container {

    width: 100%;
    position: relative;
    height: 628px;
    margin-top: 350px;
}

.microsite_contact-form__container {
    background: #FFFFFF;
    width: 80%;
    border-radius: 32px;
    position: absolute;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    top: 30%;
    display: flex;
    align-items: center;
    flex-direction: column;
    border: 1px solid var(--primary_color);
    padding-bottom: 20px;
}

.microsite_contact-form__container .contact-form-description {
    display: none;
}

.microsite_contact-form__container .contact-form-customer-info {
    column-gap: 25px;
}

.microsite_contact-form-text1 {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 700;
    font-size: 30px;
    line-height: 0px;
    display: flex;
    align-items: center;
    text-align: center;
    letter-spacing: -0.02666em;
    color: #252F40;
    margin-top: 100px;
    margin-bottom: 50px;
}

/* ENDS Contact form */

.ultrawide {
    display: flex !important;
}

.non-ultrawide {
    display: none !important;
}

.contact-form__input-content {
    margin: 0px !important;
}

.agreement-link {
    color: var(--primary_color) !important;
    text-decoration: underline !important;
}

.contact-form-controls .button-form {
    border-radius: 32px !important;
    height: 60px;
}

.contact-form__container {
    padding-left: 200px !important;
    padding-right: 200px !important;
}

@media (min-width: 1500px) {
    .contact-us__container {
        margin-top: 300px;
    }

    .microsite_contact-form__container .contact-form__container {
        padding: initial !important;
    }

    .microsite_contact-form__container .contact-form__container {
        width: 640px;
    }

    .store-hours {
        min-width: 396px;
    }
}

.website__container {
    width: 100%;
    background-repeat: no-repeat;
    background-position: right bottom;
    background-size: contain
}

.contact-us__container-background {
    width: 100%;
    height: 100%;
    background-position: right;
    position: absolute;
    top: -40%;
    background-repeat: no-repeat;
}


@media (min-width: 1050px) and (max-width: 1439px) {
    .microsite_contact-form__container .contact-form__container {
        padding: initial;
        padding-bottom: 37px;
    }

    .store-details-card {
        flex-direction: column;
        align-items: center;
        max-width: 897px;
        padding: 0;
        max-height: 1306px;
        height: auto;
    }

    .store-reviews__container {
        min-height: 600px;
    }

    .store-location-information {
        max-width: 775px;
    }

    .store-information-schedule {
        max-width: 775px;
        justify-content: space-between;
    }

    .store-details-information {
        max-width: 310px;
        flex-direction: column;
        gap: 24px;
        margin-top: 0;
    }

    .store-address-details {
        max-width: unset;
    }

    .store-phone-address {
        flex-direction: column-reverse;
        gap: 0;
    }

    .location-vertical {
        width: 775px;
        height: 345px;
    }

    .store-hours {
        width: 404px;
    }

    .schedule__schedule-day-item {
        margin: 15px 0 0;
    }

    .microsite_contact-form__container .contact-form__container {
        width: 640px;
    }

    .microsite__store_hours {
        margin-left: 0;
    }

    .ultrawide {
        display: none !important;
    }

    .non-ultrawide {
        display: flex !important;
    }
}


/*Tablet / iPads*/
@media (min-width: 763px) and (max-width: 1439px) {

    /* BEGIN Store info section */
    .device-images {
        height: 245px;
        margin-left: 18px;
    }

    .store-card {
        flex-direction: column-reverse;
        margin-top: 380px;
        max-width: 80%;
        height: auto;
    }

    .store-info__container {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .store-details__container {
        margin-top: 350px;
        max-width: 90%;
    }

    .store-device-image {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .store-info {
        align-items: center;
    }

    .store-reviews__container {
        min-height: 650px;
    }

    .store-location-information {
        max-width: 721px;
        border-radius: 32px;
    }

    /* ENDS Store info section */

    /* BEGIN Store details section */
    .location-horizontal {
        display: block;
        border-radius: 32px;
    }

    .location-vertical {
        display: none;
        object-fit: cover;
    }

    .store-details-card {
        flex-direction: column;
        padding: 0;
        row-gap: 34px;
        align-items: center;
    }

    .store-location {
        width: 100%;
        max-width: initial;
        height: 344px;
        margin-bottom: 100px;
    }

    .store-details-information {
        width: 100%;
        display: flex;
        min-height: initial;
        max-width: 310px;
        flex-direction: column;
        gap: 24px;
        margin-top: 0;
    }

    .store-phone-details,
    .store-address-details {
        padding: 8px 0;
    }

    .store-phone-address {
        flex-direction: column-reverse;
        gap: 0;
    }

    .store-information-schedule {
        max-width: 721px;
        display: flex;
        justify-content: center;
        gap: 41px;
        align-items: flex-start;
    }

    .store-detail-address-section {
        border: none;
    }

    .store-hours {
        width: 100%;
        min-height: initial;
    }

    .location-vertical {
        display: none;
    }

    .location-horizontal {
        display: block;
        width: 100%;
    }

    .microsite__store_hours {
        margin-left: 0;
    }

    .schedule__schedule-day-item {
        margin: 7.5px 0;
    }

    .store-services-subtitle {
        width: 75%;
    }

    /* ENDS Store details section */

    .widget__labels-first-text {
        font-size: 14px !important;
    }

    .widget__labels-second-text {
        font-size: 16px !important;
    }

    .store-info .widget-booking__button-content {
        width: 300px !important;
        height: 50px;
    }

    /*Reviews section*/
    .store-reviews__container .reviews__t {
        font-family: 'Montserrat';
        font-style: normal;
        font-weight: 700;
        font-size: 24px;
        text-align: center;
        letter-spacing: 0.182267px;
        color: #000000;
        width: 90%;
        margin: 0 auto;
    }

    .microsite_contact-form__container {
        row-gap: initial;
        /* top: 40%; */
        padding-bottom: unset !important;
    }

    .contact-us__container {
        margin-top: 230px;
    }

    .microsite_contact-form__container {
        width: 90%;
    }

    .ultrawide {
        display: none !important;
    }

    .non-ultrawide {
        display: flex !important;
    }

    .store-title {
        text-align: center;
    }

    .details {
        margin-top: 420px !important;
    }

    .contact-form__container {
        padding-left: 50px !important;
        padding-right: 50px !important;
    }

    .microsite_contact-form-text1 {
        margin-bottom: 50px;
    }
}

/*Tablet - Mobile*/
@media (min-width: 1px) and (max-width: 762px) {
    .device-images {
        width: 300px;
        margin-left: 18px;
    }

    .store-card {
        flex-direction: column-reverse;
        height: auto;
    }

    .store-info__container {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        margin-bottom: 10px;
    }

    .store-info {
        align-items: center;
    }

    .store-details-card {
        flex-direction: column;
        row-gap: 32px !important;
        max-width: 350px !important;
        padding: 0 !important;
    }

    .location-vertical {
        width: 100%;
        height: 147px !important;
    }

    .location-horizontal {
        height: 147px !important;
        border-radius: 32px;
    }

    .store-location {
        width: 100%;
        max-width: initial;
        height: 147px !important;
    }

    .store-details-information {
        width: 100%;
        min-height: initial;
        flex-direction: column;
        gap: 24px;
    }

    .store-phone-address {
        flex-direction: column-reverse;
        gap: 0;
    }

    .store-details-social {
        border-bottom: 1px #fff solid;
    }

    .store-information-schedule {
        flex-direction: column;
        gap: 32px;
    }

    .store-details-information {
        width: 100%;
        min-height: initial;
    }

    .store-hours {
        width: 100%;
        min-height: initial;
    }

    .contact-form__container {
        padding-left: 50px !important;
        padding-right: 50px !important;
    }

    /*Reviews section*/
    .store-reviews__container .reviews__t {
        font-family: 'Montserrat';
        font-style: normal;
        font-weight: 700;
        font-size: 24px;
        text-align: center;
        letter-spacing: 0.182267px;
        color: #000000;
        width: 90%;
        margin: 0 auto;
    }

    .store-reviews__container {
        min-height: 650px;
    }

    .store-info .widget-booking__button-content {
        width: 300px !important;
    }

    .font-size__first-text {
        font-family: 'Inter';
        font-style: normal;
        font-weight: 300;
        font-size: 16px;
        line-height: 20px;
        display: flex;
        align-items: flex-end;
        font-feature-settings: 'liga' off;
        color: white;
        cursor: pointer;
    }

    .font-size__second-text {
        font-family: 'Inter';
        font-style: normal;
        font-weight: 700;
        font-size: 20px;
        line-height: 15px;
        display: flex;
        align-items: flex-end;
        font-feature-settings: 'liga' off;
        color: white;
        cursor: pointer;
    }

    .store-device-image {
        margin-top: 15px;
    }

    .contact-us__container {
        margin-top: 70% !important;
    }

    .microsite_contact-form__container {
        padding: initial;
        top: 25%;
    }

    .microsite_contact-form__container .contact-form__container {
        padding: 0px 37px;
    }

    .microsite_contact-form__container {
        width: 90%;
    }

    .store-title {
        font-size: 40px;
        text-align: center;
    }

    .widget-booking__button-icon {
        width: auto !important;
    }

    .widget__labels-second-text {
        font-size: 16px !important;
        line-height: 24px !important;
    }

    .widget__labels-first-text {
        font-size: 16px !important;
        line-height: 24px !important;
    }

    .store-card {
        height: auto;
        width: 80%;
        margin-top: 330px;
    }

    .ultrawide {
        display: none !important;
    }

    .non-ultrawide {
        display: flex !important;
    }

    .microsite__store_hours {
        margin-left: 0 !important;
    }

    .details__content {
        padding: 32px 5px 0 !important;
    }

    .store-card__container {
        height: 120px;
    }

    .store-details__container {
        margin-top: 250px;
    }

    .details {
        margin-top: 200px !important;
    }

    .details__info .info-item__link {
        text-decoration: underline;
    }
}

@media (max-width: 1000px) {

    .contact-us__container {
        margin-top: 200px;
    }

}

/*Mobile - Special Queries cases to change Tablet -> Mobile*/
@media (min-width: 1px) and (max-width: 762px) {

    /* BEGIN Store info section */
    .device-images {
        width: 210px;
        margin-left: 18px;
    }

    .store-card {
        flex-direction: column-reverse;
        height: auto;
        width: 70%;
        margin-top: 260px;
    }

    .store-details__container {
        margin-top: 150px;
    }

    .store-info__container {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        margin-bottom: 10px;
    }

    .store-device-image {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        margin-top: 15px;
    }

    .store-info {
        align-items: center;
    }

    .store-title {
        font-family: 'Montserrat';
        font-style: normal;
        font-weight: 700;
        font-size: 24px;
        line-height: 24px;
        font-feature-settings: 'liga' off;
        color: #000000;
        text-align: center;
    }

    .store-address {
        font-family: 'Montserrat';
        font-style: normal;
        font-weight: 400;
        font-size: 16px;
        line-height: 150%;
        color: #565656;
    }

    .store-info .widget-booking__button-content {
        width: 300px !important;
    }

    .store-info .widget-booking__button-icon {
        width: 40px !important;
    }

    .widget__labels-first-text {
        font-size: 14px !important;
        line-height: 24px !important;
    }

    .widget__labels-second-text {
        font-size: 16px !important;
        line-height: 18px !important;
    }

    .store-info>.widget__labels-second-text {
        font-size: 22px !important;
    }

    .store-services-subtitle {
        width: 80%;
    }

    /* ENDS Store info section */

    /* BEGIN Store details section */
    .store-details-card {
        flex-direction: column;
        padding: 5%;
        row-gap: 50px;
    }

    .store-location {
        height: 150px;
        width: 100%;
    }

    .store-details-information {
        width: 100%;
        min-height: initial;
    }

    .store-detail-address-section {
        border: none;
    }

    .store-hours {
        width: 100%;
    }

    .location-vertical {
        display: none;
    }

    .location-horizontal {
        display: block;
        width: 100%;
    }

    .microsite__store_hours {
        margin-left: initial;
    }

    /* ENDS Store details section */

    .contact-us__container {
        margin-top: 300px !important;
    }

    .ultrawide {
        display: none !important;
    }

    .non-ultrawide {
        display: flex !important;
    }

    .details__info-item .info-item__phone {
        font-size: 16px !important;
    }

    .details__info-item .info-item__address {
        font-size: 16px !important;
    }

    .details__hours-label {
        font-size: 16px !important;
    }

    .details__hours-label:last-child {
        font-size: 16px !important;
    }
}


@media screen and (min-width: 1400px) {
    .store__wrap {
        max-width: 1302px;
    }

    .details__content {
        padding: 43px 80px !important;
    }
}

.details {
    align-items: center;
    display: flex;
    justify-content: center;
    margin-top: 20px;
    width: 100%;
}

.details__wrap {
    align-items: center;
    display: flex;
    flex-direction: column;
    max-width: 350px;
    width: 100%;
}

.details__map {
    width: 809px;
    height: 400px;
}

.details__map {
    background-color: #F9F9F9;
    border-radius: 8px;
    display: flex;
    min-height: 147px;
    overflow: hidden;
    position: relative;
    width: 100%;
}

.details__map img {
    border-radius: 8px;
    object-fit: cover;
    height: auto;
    width: 100%;
}

.details__map .map-vertical {
    display: none;
}

.details__content {
    align-items: center;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 32px 19px 0;
    width: 100%;
}

.details__info,
.details__store,
.details__hours {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.details__store {
    gap: 2px;
}

.details__info-store,
.details__info-hours {
    display: flex;
    width: 100%;
}

.details__info-title {
    color: var(--primary_color);
    font-family: "Montserrat";
    font-weight: 600;
    line-height: 1.4;
    text-align: left;
}

.details__info-item {
    align-items: flex-start;
    color: var(--tpl-body-alt-color);
    display: flex;
    gap: 16px;
    justify-content: flex-start;
}

.details__info-item .info-item__phone {
    color: #022E70;
    font-size: 10px;
    margin: auto 0;
    text-decoration: underline;
}

.details__info-item .info-item__link {
    align-items: center;
    color: #022E70;
    display: flex;
    gap: 4px;
}

.details__info-item .info-item__link svg path {
    fill: #022E70;
}

.details__info-item .info-item__address {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.details__info-item .font-paragraph {
    color: #000;
}

.details__info-item+.details__info-item {
    margin-top: 24px;
}

.details__info-item>svg {
    display: flex;
    min-width: 32px;
}

.details__info-item>svg path {
    fill: rgba(61, 61, 61, 0.541);
}

.details__social {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.details__social-list {
    display: flex;
    gap: 3px;
}

.details__social-list a {
    display: flex;
    box-sizing: border-box;
    padding: 10px;
}

.details__hours {
    display: flex;
    gap: 12px;
    margin-top: 24px;
    width: 100%;
    font-family: var(--tpl-font-secondary);
    font-weight: 400;
    font-size: 12px;
}

.details__hours::before {
    background-color: #C4C4C4;
    content: "";
    height: 1px;
    width: 100%;
}

.details__hours-availability {
    align-items: center;
    display: flex;
    gap: 0px;
}

.details__hours-availability svg path {
    fill: var(--secondary_color);
}

.details__hours-label {
    color: var(--secondary_color);
    font-family: "Montserrat";
    font-weight: 600;
    font-size: 12px;
    margin-left: 16px;
}

.details__hours-label:last-child {
    margin-left: 8px;
}

.details__hours .microsite__store_hours {
    display: flex;
    flex-direction: column;
    margin-left: 40px;
}

.details__hours .schedule__schedule-day-item {
    display: flex;
    justify-content: space-between;
    gap: 10px;
}

.details__hours .schedule__schedule-day-week {
    display: flex;
}

.details__hours .schedule__schedule-day-label {
    display: flex;
    min-width: 157px;
}

.details__hours .active-day {
    color: var(--primary_color);
}

.decorate_contact-form__container {
    background: var(--secondary_color);
    width: 100%;
    height: 250px;
    bottom: 0;
    margin: inherit;
    margin-bottom: 0px;
    padding-bottom: 0px;
    position: absolute;
}

@media screen and (min-width: 758px) {
    .details {
        margin-top: 200px;
    }

    .details__wrap {
        background-color: #fff;
        max-width: 85%;
    }

    .details__map {
        /* min-height: 430px; */
    }

    .details__content {
        align-items: flex-start;
        flex-direction: row;
        justify-content: space-between;
        padding: 20px 50px !important;

    }

    .details__store {
        gap: 24px;
    }

    .details__info {
        max-width: 255px;
        width: 100%;
    }

    .details__info-item .font-base {
        font-size: 16px;
        width: 207px;
    }

    .details__info-item>svg path {
        fill: #000;
        fill-opacity: 1;
    }

    .details__info-item+.details__info-item {
        margin: 0;
    }

    .details__info .info-item__link {
        margin-top: 8px;
        text-decoration: underline;
    }

    .details__hours {
        margin: 0;
        max-width: 336px;
        width: 100%;
    }

    .details__hours-label {
        font-size: 18px;
    }

    .details__hours .schedule__schedule-day-week,
    .details__hours .schedule__schedule-day-label {
        font-size: 16px;
    }

    .details__hours .microsite__store_hours {
        /* gap: 8px; */
        margin: 0;
    }

    .details__hours::before {
        content: none;
    }
}

@media screen and (min-width: 1200px) {
    .details__wrap {
        border-radius: 32px;
        flex-direction: row;
        max-width: 1114px;
    }

    .details__map {
        border-radius: 32px;
        width: 687px;
        /* max-width: 371px;
    min-height: 430px; */
    }

    .details__map img {
        border-radius: 32px;
    }

    .details__map .map-horizontal {
        display: none;
    }

    .details__map .map-vertical {
        display: flex;
        object-fit: cover;
        height: 100%;
        width: 100%;
    }

    .details__info-item .font-base {
        font-size: 18px;
    }

    .details__hours {
        position: relative;
    }

    .details__hours .schedule__schedule-day-week,
    .details__hours .schedule__schedule-day-label {
        font-size: 18px;
    }

    .details__hours::before {
        content: "";
        height: 222px;
        left: -7px;
        position: absolute;
        top: 68px;
        width: 2px;
    }

    .details__hours .microsite__store_hours {
        margin-left: 29px;
    }
}

@media screen and (min-width: 1400px) {
    .details__wrap {
        max-width: 1180px;
    }

    .details__hours::before {
        left: -65px;
    }
}